Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class StockInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.StockInfo

    public class StockInfo

extends ChartTypeInfo

contains the information of stock chart type in the file. The class extends chartTypeInfo

Field Summary
`static short` | `CIRCLE`
`static short` | `DEVIATION`
`static short` | `DIAMOND`
`static short` | `DOWJONES`
`static short` | `DROPLINE`
`static short` | `HILOLINE`
`static short` | `NONE`
`static short` | `PLUSSIGN`
`static short` | `SERIESLINE`
`static short` | `SQUARE`
`static short` | `STAR`
`static short` | `TRIANGLE`
`static short` | `X`

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`StockInfo(short dataLabel, boolean is3D, Info3D info3D, short style)` Constructs class StockInfo and sets its fields appropriately.

Method Summary
`int` | `getChartType()` Get the type of the chart
`short` | `getMarkStyle()` Get the style of line marks
`short` | `getStyle()` Get the style of the bar chart
`boolean` | `hasShadow()` get whether this chart has a shadow or not
`void` | `setMarkStyle(short markStyle)` Set the style of line marks
`void` | `setStyle(short style)` Set the style of the bar chart

Methods inherited from class jet.report.xls.ChartTypeInfo
`addSeries, getCatName, getCatNameRef, getDataLabel, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setDataLabel, setInfo3D, setIs3D`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DROPLINE

    public static final short DROPLINE

See Also:
  Constant Field Values

### HILOLINE

    public static final short HILOLINE

See Also:
  Constant Field Values

### SERIESLINE

    public static final short SERIESLINE

See Also:
  Constant Field Values

### NONE

    public static final short NONE

See Also:
  Constant Field Values

### SQUARE

    public static final short SQUARE

See Also:
  Constant Field Values

### DIAMOND

    public static final short DIAMOND

See Also:
  Constant Field Values

### TRIANGLE

    public static final short TRIANGLE

See Also:
  Constant Field Values

### X

    public static final short X

See Also:
  Constant Field Values

### STAR

    public static final short STAR

See Also:
  Constant Field Values

### DOWJONES

    public static final short DOWJONES

See Also:
  Constant Field Values

### DEVIATION

    public static final short DEVIATION

See Also:
  Constant Field Values

### CIRCLE

    public static final short CIRCLE

See Also:
  Constant Field Values

### PLUSSIGN

    public static final short PLUSSIGN

See Also:
  Constant Field Values

Constructor Detail

### StockInfo

    public StockInfo(short dataLabel,
                     boolean is3D,
                     Info3D info3D,
                     short style)

  Constructs class StockInfo and sets its fields appropriately.

  Parameters:
    `dataLabel` - type of the data label, 0 for none, 1 for show value, 16 for show label
    `is3D` - Is 3D chart or not
    `style` - Style of bar

Method Detail

### getChartType

    public int getChartType()

  Get the type of the chart

  Specified by:
    `getChartType` in class `ChartTypeInfo`
  Returns:
    type of the chart

### getStyle

    public short getStyle()

  Get the style of the bar chart

  Specified by:
    `getStyle` in class `ChartTypeInfo`
  Returns:
    style of the bar chart

### setStyle

    public void setStyle(short style)

  Set the style of the bar chart

  Parameters:
    `style` - Style of the bar chart

### getMarkStyle

    public short getMarkStyle()

  Get the style of line marks

  Returns:
    style of line marks

### setMarkStyle

    public void setMarkStyle(short markStyle)

  Set the style of line marks

  Parameters:
    `markStyle` - style of line marks

### hasShadow

    public boolean hasShadow()

  get whether this chart has a shadow or not

  Specified by:
    `hasShadow` in class `ChartTypeInfo`
  Returns:
    whether this chart has a shadow or not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD